<?php
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

header('Content-type: text/html; charset=utf-8');

echo "<script>console.log('### MyAdminConfig.php loaded');</script>";

date_default_timezone_set('Asia/Seoul');
//date_default_timezone_set('Asia/Shanghai');

$VERSION_CSS = "20250716";
$VERSION_JS = "20250716";

$HTTP_HOST = $_SERVER['HTTP_HOST']; //사이트 도메인 => www.test.com (접속할 때 사용한 도메인)
$SERVER_PORT = $_SERVER['SERVER_PORT']; //사이트가 사용하는 포트 => 80
switch ($SERVER_PORT) {
	case "443":
		$url_base = "https://";
		break;
	default:
		$url_base = "http://";
}

$HOME_TITLE_NAME = "VPNLink 판매자센터";   // 타이틀 정의 - 이메일 전송시 사용
$HOME_URL = $url_base . $HTTP_HOST;

$BASE_PATH = $_SERVER['DOCUMENT_ROOT'];
//$HOME_PATH = "/var/www/html/";
$HOME_PATH = $BASE_PATH . "/"; // 주소줄 마지막에 / 붙일 것
$HOME_ADMIN_TITLE_NAME = "판매자센터";   // 타이틀 정의
$HOME_ADMIN_URL = $HOME_URL . "/Admin";
$HOME_ADMIN_PATH = $BASE_PATH . "/Admin";
$HOME_STORE_TITLE_NAME = "VPNLink 판매자센터";   // 타이틀 정의
$HOME_STORE_URL = $HOME_URL . "/Admin";
$HOME_STORE_PATH = $BASE_PATH . "/Admin";

$HOME_DB_PATH = $BASE_PATH . "/MyAdmin_database";
$HOME_CONFIG_PATH = $BASE_PATH . "/MyAdmin_config";

$BODY_TOP_LINE_COLOR = "#f37735";

$MENU1 = "VPN";
$MENU2 = "관리자";
$MENU3 = "서버실";
$MENU4 = "매니저Ⅱ<!--<span class=\"material-icons\" style=\"position: relative; top: -1px; font-size:1.1em; vertical-align:middle;\">open_in_new</span>-->";;

$MY_JS_VER = $MY_CSS_VER = "202507072125";

$SEND_MAIL_FROM_ID = "info@vpnlink.kr";
$SEND_MAIL_FROM_PASS = "oEx28Il3bkrx"; // 네이버 이메일 비밀번호 (일반비번 아니라 앱 비밀번호로 설정해야 함)

$secret_key = "517527868";
$secret_iv = "%)@%^-^*=$(_*";

include_once "MyAdminLib.php";
?>







<?php

include_once $HOME_DB_PATH . "/MyAdminDbconfig.php";

if (defined('IS_NOT_LOGIN') && IS_NOT_LOGIN === true) { // 로그인이 필요없는 파일의 경우

} else {

	if (isset($_REQUEST['s']) && $_REQUEST['s'] != "" && isset($_REQUEST['k']) && $_REQUEST['k'] != "") {
		$submitsession_tmp = isset($_REQUEST['s']) ? addslashes(trim($_REQUEST['s'])) : '';
		$k_tmp = isset($_REQUEST['k']) ? addslashes(trim($_REQUEST['k'])) : '';
		$g_tmp = isset($_REQUEST['g']) ? addslashes(trim($_REQUEST['g'])) : '';
		$d1_tmp = isset($_REQUEST['d1']) ? addslashes(trim($_REQUEST['d1'])) : '';
		$d2_tmp = isset($_REQUEST['d2']) ? addslashes(trim($_REQUEST['d2'])) : '';
		$opt_type_tmp = isset($_REQUEST['type']) ? addslashes(trim($_REQUEST['type'])) : '';
		$opt_type_tmp = ($opt_type_tmp=="") ? "none" : $opt_type_tmp;

		if ($submitsession_tmp != "") {
			$submitsession = substr($submitsession_tmp,6);  // 불필요한 코드 제거
			$sql = "SELECT * FROM admin_member WHERE session LIKE '%Œ{$submitsession}' AND status!='-1'";
			$result = $db->query($sql);
			$permissionTotal=mysqli_num_rows($result);
			if ($permissionTotal == 0) {
				header('location:'.$HOME_ADMIN_URL."/login_admin.php?m=비정상적인 접근이 감지 되었습니다.");
				exit;
			}
			$row = $result->fetch_assoc();
			$sosok_storeid = $row['storeid'];
			$result0 = $db->query("SELECT * FROM admin_stores WHERE storeid='$sosok_storeid' AND status!='-1' ORDER BY no DESC LIMIT 1 ");
			$total0=mysqli_num_rows($result0);
			if ($total0 == 1) {
				$row0 = $result0->fetch_assoc();
				$sosok_storename = $row0['storename'];
			} else {
				header('location:'.$HOME_ADMIN_URL."/login_admin.php?m=비정상적인 접근이 감지 되었습니다.");
				exit;
			}

			$memid = $row['memid'];
			$memname = $row['memname'];
			$level = $row['level'];
			$visit = $row['visit'];
			$checkip = $_SERVER["REMOTE_ADDR"];
			$log = $row['log'];;
			$log_arr = explode("|",$log);
			if (count($log_arr) < 3) {
				$log_prev = "-";
				//$log_now = date("Y-m-d H:i:s")."_".$checkip;
				$log_now = date("Y-m-d H:i:s");
			} else {
				$log_prev = substr($log_arr[(count($log_arr)-3)],0,19);
				$log_now = substr($log_arr[(count($log_arr)-2)],0,19);
			}

			$browser = $_SERVER['HTTP_USER_AGENT'];
			$sessionBaseStringTmp = $visit.$checkip.$memid.date("Ymd");
			$sessionBaseString = md5($sessionBaseStringTmp);
		//	echo $sessionBaseStringTmp."<br>".$sessionBaseString;
		//	exit;

			if ($sessionBaseString != $submitsession) {
				// 중복 로그인 허용 안할려면 코멘트 해제 할것
				header('location:'.$HOME_ADMIN_URL."/login_admin.php?m=다른 PC에 로그인 되어 있는 상태입니다.<br>다시 로그인 하십시오.");
			}
		} else {
			header('location:'.$HOME_ADMIN_URL."/login_admin.php");
		}

	} else {
		echo "비정상적인 접근이 감지 되었습니다.";
		exit;
	}

}

?>